module OrientDb
  class UserRepository < Base

    def create_graph_node(user)
      connection.command sprintf("INSERT INTO User (p_id) VALUES (%d)", user.id)
    end

    def destroy_graph_node(user)
      connection.command sprintf("DELETE FROM User WHERE p_id = %d", user.id)
    end

    def get_graph_id(user)
      result = connection.query sprintf("SELECT @rid FROM User WHERE p_id = %d", user.id)
      result.first["rid"].to_s
    end

  end
end
